## AsMenuParser AsMenuParser — Parser for XDG menu files designed for software-centers |

## Functions

#define | AS_TYPE_MENU_PARSER
AsMenuParser * | as_menu_parser_new ()
AsMenuParser * | as_menu_parser_new_from_file ()
GList * | as_menu_parser_parse ()
gboolean | as_menu_parser_get_update_category_data ()
void | as_menu_parser_set_update_category_data ()
GList * | as_get_system_categories ()

## Properties

gboolean | update-category-data | Read / Write

## Types and Values

struct | AsMenuParserClass
| AsMenuParser

## Object Hierarchy

        GObject
        ╰── AsMenuParser

## Includes

    #include <appstream.h>

## Description

This object parses an XDG menu file and returns a set of AsCategory objects which can be used by software-centers to group the applications they show. By default, it loads a common set of categories from an internal menu file. A custom menu file may be specified using the alternative class constructor.

See also: AsCategory

## Functions

### AS_TYPE_MENU_PARSER

    #define AS_TYPE_MENU_PARSER (as_menu_parser_get_type ())

### as_menu_parser_new ()

    AsMenuParser *
    as_menu_parser_new (void);

Creates a new AsMenuParser.

#### Returns

an AsMenuParser.

[transfer full]

### as_menu_parser_new_from_file ()

    AsMenuParser *
    as_menu_parser_new_from_file (const gchar *menu_file);

Creates a new AsMenuParser using a custom XDG menu XML file.

#### Parameters

menu_file | The menu-file to parse. |

#### Returns

an AsMenuParser.

[transfer full]

### as_menu_parser_parse ()

    GList *
    as_menu_parser_parse (AsMenuParser *mp);

Parse the menu file

#### Parameters

mp | An instance of AsMenuParser. |

#### Returns

GList of AsCategory objects found in the menu, or NULL if there was an error.

[element-type AsCategory][transfer full]

### as_menu_parser_get_update_category_data ()

    gboolean
    as_menu_parser_get_update_category_data
                                   (AsMenuParser *mp);

#### Parameters

mp | An instance of AsMenuParser. |

### as_menu_parser_set_update_category_data ()

    void
    as_menu_parser_set_update_category_data
                                   (AsMenuParser *mp,
                                    gboolean value);

#### Parameters

mp | An instance of AsMenuParser. |

### as_get_system_categories ()

    GList *
    as_get_system_categories (void);

Get a GList of the default AppStream categories

#### Returns

GList of AsCategory objects.

[element-type AsCategory][transfer full]

## Types and Values

### struct AsMenuParserClass

    struct AsMenuParserClass {
    	GObjectClass parent_class;
    };

### AsMenuParser

    typedef struct _AsMenuParser AsMenuParser;

## Property Details

### The `“update-category-data”` property

      “update-category-data”     gboolean

update-category-data.

Flags: Read / Write

Default value: FALSE